> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List signature requests

> Retrieve a paginated list of signature requests with basic metadata.



## OpenAPI

````yaml /api-reference/signatures/openapi.yaml get /v2/requests
openapi: 3.0.0
info:
  title: Signatures API
  description: >-
    The Signatures API lets you create and manage signature requests and
    signature transactions, and drive documents through the signing and
    notarization process. All endpoints are authenticated with a bearer JWT.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/signatures
    description: Production
  - url: https://api.uat.slate.inc/signatures
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/requests:
    get:
      summary: List signature requests
      description: Retrieve a paginated list of signature requests with basic metadata.
      operationId: getV2SignaturesRequests
      parameters:
        - in: query
          name: limit
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
          description: The number of items to return per page (default 100).
        - in: query
          name: cursor
          required: false
          schema:
            type: string
          description: The cursor for fetching the next page of results.
        - in: query
          name: owner
          required: true
          schema:
            type: string
          description: The client group to list signature requests for.
        - in: query
          name: completed
          description: >-
            If empty, all matching results are returned. If `true`, only items
            with `completedAt` set are returned. If `false`, only items with
            `completedAt` equal to `null` are returned.
          schema:
            type: boolean
            default: null
        - in: query
          name: pending
          description: >-
            If empty, both pending and non-pending results are returned. If
            `true`, only pending results are returned. If `false`, only
            non-pending results are returned.
          schema:
            type: boolean
            default: null
        - in: query
          name: notaryRequired
          description: >-
            Whether to return documents requiring a notary (true) or just a
            signature (false). If empty, both types are returned.
          schema:
            type: boolean
            default: null
        - in: query
          name: orderBy
          description: The column to order the results by. Defaults to `id`.
          schema:
            type: string
            default: id
            enum:
              - id
              - createdOn
              - document.matterReference
              - document.preparedBy
              - document.preparedOn
              - document.firmId
        - in: query
          name: orderDirection
          description: The direction to order the results by.
          schema:
            type: string
            default: asc
            enum:
              - asc
              - desc
        - in: query
          name: filter
          description: One or more columns and their values on which to filter results.
          style: deepObject
          schema:
            type: object
            properties:
              document.matterReference:
                type: string
              document.preparedBy:
                type: string
              document.preparedOn:
                type: string
              document.firmId:
                type: string
      responses:
        '200':
          description: A paginated list of signature requests.
          content:
            application/json:
              schema:
                type: object
                properties:
                  signatureRequests:
                    type: array
                    items:
                      $ref: '#/components/schemas/SignatureRequest'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '400':
          description: Invalid request parameters.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SignatureRequest:
      type: object
      required:
        - id
        - createdOn
        - file
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the signature request.
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the signature request was created.
        completedOn:
          type: string
          format: date-time
          description: Timestamp when the signature request was completed.
        signedBy:
          type: string
          description: The user ID that signed the document.
          minLength: 1
        notarizedBy:
          type: string
          description: The user ID that notarized the document.
          minLength: 1
        completedFileUrl:
          description: A URL where the completed file can be downloaded from.
          type: string
          minLength: 1
        file:
          $ref: '#/components/schemas/File'
        document:
          deprecated: true
          description: Deprecated — use `file`. Retained for backwards compatibility.
          allOf:
            - $ref: '#/components/schemas/File'
    Pagination:
      type: object
      properties:
        totalCount:
          type: integer
          description: Total number of items available.
        previousCursor:
          type: string
          description: >-
            The cursor to fetch the previous page of results (empty string if
            there are no more pages).
        nextCursor:
          type: string
          description: >-
            The cursor to fetch the next page of results (empty string if there
            are no more pages).
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human-readable error message.
    File:
      type: object
      required:
        - id
        - matterReference
        - template
      properties:
        id:
          type: string
          format: uuid
          description: The ID of the document that the signature request is for.
        matterReference:
          type: string
          description: >-
            The matter reference (file number) of the matter the document
            belongs to.
        preparedBy:
          type: string
          description: The user ID of the user that prepared the document.
        preparedOn:
          type: string
          format: date-time
          description: The timestamp when the document was prepared.
        firmId:
          type: string
          description: The firm identifier that the document is assigned to.
        templates:
          type: array
          items:
            $ref: '#/components/schemas/Template'
    Template:
      type: object
      required:
        - id
        - filename
        - displayName
        - signatureRequired
        - notaryRequired
      properties:
        id:
          type: string
          description: The template ID that was used to generate the document.
          format: uuid
        filename:
          type: string
          description: The filename or internal reference identifier for the template.
        displayName:
          type: string
          description: The user-friendly display name for the template.
        signatureRequired:
          type: boolean
          description: Whether the template requires a signature.
        notaryRequired:
          type: boolean
          description: Whether the template requires a notary in addition to the signer.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Cognito-issued JWT access token. Send it as `Authorization: Bearer
        <token>`.

````